<div class="container">
  <mat-accordion>
    <mat-expansion-panel *ngFor="let tariff of driversConfigs.tariffs">
      <mat-expansion-panel-header>
        <mat-panel-title>
          {{tariff.name_tariff}}
          {{tariff.price_for_meter}}
        </mat-panel-title>
      </mat-expansion-panel-header>
      <form #formMainConfig="ngForm" novalidate (ngSubmit)="onSubmit(formMainConfig)">
        <table>
          <tr>
            <td>
              <mat-form-field [style.fontSize]="fontSize">
                <input matInput placeholder="Минимальная цена" name="minPrice"
                       [formControl]="minPriceForm"
                       [value]="tariff.min_price" required pattern="[+-]?([0-9]*[.])?[0-9]+">
              </mat-form-field>
            </td>
            <td>
              <mat-form-field [style.fontSize]="fontSize">
                <input matInput placeholder="Цена за метр" name="priceForDistance" [formControl]="priceForDistanceForm"
                       [value]="tariff.price_for_meter"
                       required pattern="[+-]?([0-9]*[.])?[0-9]+">
              </mat-form-field>
            </td>

            <td>
              <mat-form-field [style.fontSize]="fontSize">
                <input matInput placeholder="Цена за минуту" name="priceForTime"
                       [formControl]="priceForTimeForm" [value]="tariff.price_for_minute" required
                       pattern="[+-]?([0-9]*[.])?[0-9]+">
              </mat-form-field>
            </td>
          </tr>
        </table>
        <button class="saved-button"
                [disabled]="formMainConfig.invalid"
                type="submit"
                mat-raised-button color="primary">
          Сохранить
        </button>
      </form>
    </mat-expansion-panel>
  </mat-accordion>
  <button class="add-tariff-button" [disabled]="true" mat-raised-button color="primary"> Добавить новый тариф</button>

</div>
